#
#  @(#) $Id: Makefile.config,v 1.5 2003/06/04 05:41:16 hiro Exp $
# 

#
#	Makefile のターゲットシステム依存部（DVE68K/40用）
#

#
#  コンパイルオプション
#
INCLUDES := $(INCLUDES) -I$(SRCDIR)/config/$(CPU)/$(SYS) \
			-I$(SRCDIR)/pdic/simple_sio
COPTS := $(COPTS) -msoft-float
LDFLAGS := $(LDFLAGS) -msoft-float

#
#  カーネルに関する定義
#
KERNEL_DIR := $(KERNEL_DIR):$(SRCDIR)/config/$(CPU)/$(SYS) \
				:$(SRCDIR)/pdic/simple_sio
KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) sys_support.o
KERNEL_COBJS := $(KERNEL_COBJS) sys_config.o upd72001.o

#
#  各セグメントの開始アドレスの定義
#
TEXT_START_ADDRESS = 00010000
DATA_START_ADDRESS = 00100000

#
#  リンカスクリプトの定義
#
LDSCRIPT = $(CPU)/m68kelf.ld
